Redmine - Defect #10814

When submitting update with word 'VALUES', such as SQL statement, data is cut off
2012-05-02 15:11 - Allen S

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.3.0
Description

DB: MySQL 5.5.15

Redmine: 1.3.0

Rails: 2.3.14

Ruby 1.8.7

When submitting an update into a Redmine ticket that contains a VALUES, such as an SQL statement, like this one:
INSERT INTO TestDB (PAD_Dept, PAD_DeptName, PAD_Active, PAD_StartDate, PAD_EndDate)
VALUES

The data gets truncated so that it appears as
INSERT INTO TestDB (PAD_Dept, PAD_DeptName, PAD_Active, PAD_StartDate, PAD_EndDate)
VALUES

And the word VALUES has an underline that contains the values in the fields.
As shown in attached screenshot, you can see how the preview at the bottom does not include anything after the word VALUES.

However, if | add a space between VALUES and the first parenthesis, it works, or if | put another word instead of VALUES it works,
so it is treating the word VALUES special.

History

#1 - 2012-05-02 15:12 - Allen S

- File example.txt added

And you can even see it did it on this ticket. Please see the text file as the example text to add to a ticket whereby the values are not shown.

#2 - 2012-05-02 16:47 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Invalid

This is caused by the used Textile formatting for acronyms. See RedmineTextFormatting.
As an alternative you can use the pre-tags to prevent parsing using Textile formatter:

INSERT INTO TestDB (PAD_Dept, PAD_DeptName, PAD_Active, PAD_StartDate, PAD_EndDate)
VALUES ('04545', 'DesktopTeam', 1, '1968-01-01', '4712-12-31")

Files
screenshot.png 27.5KB 2012-05-02 Allen S
example.txt 148 Bytes 2012-05-02 Allen S

2025-05-22 1/1



https://www.redmine.org/projects/redmine/wiki/RedmineTextFormatting#Acronym
http://www.tcpdf.org

